## org.jfree.chart.event
Class TitleChangeEvent

    java.lang.Object
      java.util.EventObject
          org.jfree.chart.event.ChartChangeEvent
              org.jfree.chart.event.TitleChangeEvent

All Implemented Interfaces:
  java.io.Serializable

    public class TitleChangeEvent

extends ChartChangeEvent

A change event that encapsulates information about a change to a chart title.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`TitleChangeEvent(Title title)` Default constructor.

Method Summary
`Title` `getTitle()` Returns the title that generated the event.

Methods inherited from class org.jfree.chart.event.ChartChangeEvent
`getChart, getType, setChart, setType`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TitleChangeEvent

    public TitleChangeEvent(Title title)

  Default constructor.

  Parameters:
    `title` - the chart title that generated the event.

Method Detail

### getTitle

    public Title getTitle()

  Returns the title that generated the event.

  Returns:
    The title that generated the event.